#!/bin/bash

revision=$1
usage="./$0 REV"

if [ "${revision}_" == "_" ]; then
	echo 1>&2 $usage
	exit 1
fi

git clone -q git://git.fedorahosted.org/eclipse-fedorapackager.git && \
pushd eclipse-fedorapackager > /dev/null && \
git archive --format=tar --prefix=eclipse-fedorapackager/ $revision |xz >eclipse-fedorapackager.tar.xz && \
mv eclipse-fedorapackager.tar.xz ../ && \
popd > /dev/null && rm -rf eclipse-fedorapackager
